# Interface IResourceVisitor

All Known Implementing Classes:
  `RecursiveFileFinder`

public interface IResourceVisitor
This interface is implemented by objects that visit resource trees.

Usage:

    class Visitor implements IResourceVisitor {
       public boolean visit(IResource res) {
          // your code here
          return true;
       }
    }
    IResource root = ...;
    root.accept(new Visitor());

Clients may implement this interface.

See Also:
  - `IResource.accept(IResourceVisitor)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`visit(IResource resource)`
Visits the given resource.

## Method Details

### visit

boolean visit(IResource resource) throws CoreException
Visits the given resource.

Parameters:
  `resource` - the resource to visit
Returns:
  `true` if the resource's members should be visited; `false` if they should be skipped
Throws:
  `CoreException` - if the visit fails for some reason.